<template>
  <v-text-field
    required
    single-line
    solo
    v-model="email"
    :rules="rules"
    :label="label"
    :placeholder="placeholder"
    style="min-width: 200px"
  ></v-text-field>
</template>

<script>
export default {
  name: "CustomTextField",
  props: {
    rules: Array,
    label: String,
    placeholder: String,
  },
  computed: {
    email: {
      get: function () {
        return this.value;
      },
      set: function (newValue) {
        this.$emit("change", newValue);
      },
    },
  },
};
</script>


<style >
@import "../assets/variables.scss";

.v-text-field.v-text-field--solo:not(.v-text-field--solo-flat)
  > .v-input__control
  > .v-input__slot {
  box-shadow: none !important;
  border: 1px solid #bbbbbb;
  border-radius: 30px !important;
}
.v-text-field__details {
  margin-top: -5px;
  font-size: 8px !important;
  color: #bbbbbb;
  font-family: var(--font-family) !important;
}
.v-text-field.v-text-field--solo .v-input__control input,
.v-input--has-state.error--text .v-label {
  font-style: normal;
  font-weight: normal;
  font-size: 16px !important;
  line-height: 22px;
  font-family: var(--font-family) !important;
  word-break: normal;

  color: var(--dark100);
}
.v-messages__message {
  color: black !important;
}
</style>